package com.persagy.dc.define.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dc.define.entity.ObjectInfo;

import java.util.List;

/**
 * 信息点 接口
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface IObjectInfoService {

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectInfo> queryByCondition(Wrapper<ObjectInfo> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectInfo> queryWrapper);

    /**
     * 新增
     * @param vo 待新增数据
     * @return 新增后数据
     */
    ObjectInfo insert(ObjectInfo vo);

    /**
     * 修改
     * @param vo 待修改数据
     * @return 修改后数据
     */
    ObjectInfo update(ObjectInfo vo);

    /**
     * 删除
     * @param id 主键
     */
    void delete(String id);
}
