package com.persagy.dc.define.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dc.common.constant.ValidEnum;
import com.persagy.dc.define.dao.ObjectInfoMapper;
import com.persagy.dc.define.entity.ObjectInfo;
import com.persagy.dc.define.service.IObjectInfoService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 信息点 实现类
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ObjectInfoServiceImpl implements IObjectInfoService {

    @Resource
    private ObjectInfoMapper dao;

    @Override
    public List<ObjectInfo> queryByCondition(Wrapper<ObjectInfo> queryWrapper) {
        return dao.selectList(queryWrapper);
    }

    @Override
    public Page queryByCondition(Page page, Wrapper<ObjectInfo> queryWrapper) {
        return dao.selectPage(page, queryWrapper);
    }

    @Override
    public ObjectInfo insert(ObjectInfo vo) {
        dao.insert(vo);
        return vo;
    }

    @Override
    public ObjectInfo update(ObjectInfo vo) {
        dao.updateById(vo);
        return vo;
    }

    @Override
    public void delete(String id) {
        ObjectInfo vo = dao.selectById(id);
        vo.setValid(ValidEnum.FALSE.getType());
        dao.updateById(vo);
    }
}
